# Generated by Django 2.2.17 on 2021-01-20 11:13

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import djangoldp.fields


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('djangoldp_energiepartagee', '0006_auto_20210119_1237'),
    ]

    operations = [
        migrations.CreateModel(
            name='College',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('urlid', djangoldp.fields.LDPUrlField(blank=True, null=True, unique=True)),
                ('is_backlink', models.BooleanField(default=False, help_text='set automatically to indicate the Model is a backlink')),
                ('allow_create_backlink', models.BooleanField(default=True, help_text='set to False to disable backlink creation after Model save')),
                ('name', models.CharField(max_length=50, verbose_name='collège')),
            ],
            options={
                'anonymous_perms': [],
                'authenticated_perms': ['view', 'add', 'change'],
            },
        ),
        migrations.CreateModel(
            name='Structcollege',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('urlid', djangoldp.fields.LDPUrlField(blank=True, null=True, unique=True)),
                ('is_backlink', models.BooleanField(default=False, help_text='set automatically to indicate the Model is a backlink')),
                ('allow_create_backlink', models.BooleanField(default=True, help_text='set to False to disable backlink creation after Model save')),
                ('name', models.CharField(max_length=50, verbose_name='Structure')),
                ('region', models.ForeignKey(max_length=50, on_delete=django.db.models.deletion.CASCADE, to='djangoldp_energiepartagee.Region', verbose_name='Région')),
            ],
            options={
                'anonymous_perms': [],
                'authenticated_perms': ['view', 'add', 'change'],
            },
        ),
        migrations.RemoveField(
            model_name='actor',
            name='eclrcollege',
        ),
        migrations.RemoveField(
            model_name='actor',
            name='ecpdlcollege',
        ),
        migrations.RemoveField(
            model_name='actor',
            name='epacollege',
        ),
        migrations.RemoveField(
            model_name='actor',
            name='epcharte',
        ),
        migrations.RemoveField(
            model_name='actor',
            name='othercollege',
        ),
        migrations.RemoveField(
            model_name='profile',
            name='firstname',
        ),
        migrations.RemoveField(
            model_name='profile',
            name='mail',
        ),
        migrations.RemoveField(
            model_name='profile',
            name='name',
        ),
        migrations.RemoveField(
            model_name='relatedactor',
            name='name',
        ),
        migrations.AddField(
            model_name='actor',
            name='signataire',
            field=models.BooleanField(default=False, verbose_name='Signataire de la charte EP'),
        ),
        migrations.AddField(
            model_name='relatedactor',
            name='user',
            field=models.OneToOneField(default=1, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
            preserve_default=False,
        ),
        migrations.DeleteModel(
            name='Eclrcollege',
        ),
        migrations.DeleteModel(
            name='Ecpdlcollege',
        ),
        migrations.DeleteModel(
            name='Epacollege',
        ),
        migrations.DeleteModel(
            name='Othercollege',
        ),
        migrations.AddField(
            model_name='college',
            name='stucturecollege',
            field=models.ForeignKey(max_length=50, on_delete=django.db.models.deletion.CASCADE, to='djangoldp_energiepartagee.Structcollege', verbose_name='Région'),
        ),
        migrations.AddField(
            model_name='actor',
            name='college',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='djangoldp_energiepartagee.College', verbose_name='Collège'),
        ),
        migrations.AddField(
            model_name='actor',
            name='structcollege',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='djangoldp_energiepartagee.Structcollege', verbose_name='Structure qui porte les collèges'),
        ),
    ]
